---
title: "Submit documents for New Business"
url: "https://developers.zinnia.com/apis/new-business/versions/b8532e16-b28e-4393-9305-def50b91e40e/paths/newbusiness-v2-application-eAppId--document/post"
---

> Full API specification: https://developers.zinnia.com/apis/new-business/versions/b8532e16-b28e-4393-9305-def50b91e40e.md

# Submit documents for New Business

`POST` `/newbusiness/v2/application/{eAppId}/document`

## Path parameters

- `eAppId` (string, required)

## Request body (required)

Content types: `application/json`

## Responses

- `201` - Document Persisted
- `400` - Bad request
- `401` - Authentication failed
- `403` - Access denied
- `500` - Server error

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia New Business API.
  version: 0.9.8
servers:
  - url: https://qa.api.zinnia.io
    description: QA Environment
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://uat.api.zinnia.io
    description: UAT Environment
  - url: https://api.zinnia.io
    description: PROD Environment
paths:
  /newbusiness/v2/application/{eAppId}/document:
    post:
      tags:
        - New Business Transactions V2
      summary: Submit documents for New Business
      parameters:
        - name: eAppId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        description: Required to submit documents before submit new business application
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/DocumentRequest"
        required: true
      responses:
        "201":
          description: Document Persisted
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/DocumentSuccessResponse"
              examples:
                Document:
                  value:
                    caseId: CA000000456
                    correlationId: 2ad51ecf-9923-437f-a6f0-70968e464cdb
                    eappId: 2ad51ecf-9923-437f-a6f0-70968e464cdb
                    documentId: 67334f4882c412621f9ab7cc
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ValidationResponse"
        "401":
          description: Authentication failed
          content:
            application/json:
              examples:
                NewBusiness:
                  value:
                    message: Unauthorized
        "403":
          description: Access denied
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/AccessDeniedResponse"
        "500":
          description: Server error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ServerErrorResponse"
      security:
        - Auth0: []
      x-kong-plugin-pre-function:
        config:
          access:
            - |
              local path = kong.request.get_path()
              kong.service.request.set_path("/bpm" .. path)
security:
  - Auth0: []
components:
  schemas:
    DocumentRequest:
      type: object
      properties:
        caseId:
          type: string
          description: Zinnia Live case
          example: CA0000005656
        externalDocumentId:
          type: string
          description: Unique number assigned to given document by the source system
        binaryData:
          type: string
          format: base64
          description: Base 64 encoded binary stream
        formNumber:
          type: string
          description: Unique Number for a form
          example: "123456"
        documentType:
          type: string
          enum:
            - NB_STATE_REPLACEMENT
            - NB_CONVERSION
            - NB_APPLICATION
            - COST_DISCLOSURE
            - NON_CONTRACTUAL
            - AGENT_REPORT
            - ACCELERATED_BENEFIT_RIDER
            - SURRENDER_COMPARISION
            - CONSENT_PAPERLESS
            - TERMS_OF_USE
            - TERMS_CONDITIONS
            - CHARITY_ELECTION_FORMS
            - AUTHORIZATION_FORMS
            - HIPPA
            - HIV_CONSENT_FORM_ALL_STATE
            - AMENDMENT
            - DISCLOSURES
            - NB_STATE_REPLACEMENT_NOTICE
            - TRUSTEE_STATEMENT
            - TERMS_OF_USE
            - NOTICE_AND_CONSENT
            - PRIVACY_POLICY
            - GLBA_PRIVACY_NOTICE
            - FCRA
            - MIB_PRE_NOTICE
            - ID_VERIFICATION_NOTICE
            - HIPAA
            - ACCELERATED_BENEFIT_RIDER
            - BUYER_GUIDE
            - ILLUSTRATION
            - SUITABILITY
            - APPLICATION
            - SIGNED_APPLICATION
            - REPLACEMENTS_ACKNOWLEDGEMENT
            - 1035_EXCHANGE_SURRENDER
            - EVIDENCE_DOCUMENT
            - AMENDMENT
            - ELECTRONIC_FUNDS_TRANSFER
            - SUPPLEMENTAL_APPLICATION
            - CONFORMING_ILLUSTRATION
            - SIGNED_ILLUSTRATION
            - OVERFLOW_ADDITIONAL_INFORMATION
          example: TERMS_OF_USE
        category:
          type: string
          enum:
            - NEW_BUSINESS
          description: Category of the document as per OnBase system
          example: NEW_BUSINESS
        fileName:
          type: string
          description: Source File Name
          example: E0001_Signed_Application.PDF, E0002 Unsigned Application.PDF
        displayName:
          type: string
          description: Source File Name
          example: Signed_Application.PDF, Unsigned Application.PDF
        fileType:
          type: string
          enum:
            - pdf
          description: Type of file
      required:
        - correlationId
        - eappId
        - carrier
        - caseId
        - binaryData
        - documentType
        - fileName
        - fileType
        - displayName
        - category
    DocumentSuccessResponse:
      type: object
      required:
        - caseId
        - correlationId
        - eappId
        - documentId
      properties:
        caseId:
          type: string
          example: CA000000536
        correlationId:
          type: string
          example: 15ea7582-262f-4dfe-8a60-1e8b8e763fd4
        eappId:
          type: string
          example: 15ea7582-262f-4dfe-8a60-1e8b8e763fd4
        documentId:
          type: string
          example: 67334f4882c412621f9ab7cc
    ValidationResponse:
      type: object
      properties:
        status:
          type: string
          example: FAILED
        timestamp:
          type: string
          format: date-time
        message:
          type: string
          example: Bad Request
        error:
          type: array
          items:
            type: string
            example: Mandatory attribute label missing
    AccessDeniedResponse:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        message:
          type: string
          example: "User is not authorized for the carrier : CarrierName_1"
    ServerErrorResponse:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        message:
          type: string
          example: Failed to process request
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.dev.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://dev.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://dev.api.zinnia.io
          client_id:
            - client_id
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
